﻿using Infragistics.Controls.Schedules;
using System;
using System.Windows;
using System.Windows.Controls.Primitives;

namespace XamScheduleView_HorizontalScrollToHour
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            schedule.Loaded += Schedule_Loaded;
        }

        private void Schedule_Loaded(object sender, EventArgs e)
        {
            ScrollToTime(schedule, DateTime.Today.AddHours(17));
        }

        private void ScrollToTime(XamScheduleView schedule, DateTime dt)
        {
            DateTime midnight = new DateTime(dt.Year, dt.Month, dt.Day, 0, 0, 0);
            TimeSpan scrollTo = dt - midnight;

            ScrollBar scroller = Infragistics.Windows.Utilities.GetDescendantFromName(schedule, "TimeslotScrollBar") as ScrollBar;

            //  Some math to account for scroll intervals.
            scroller.Value = scrollTo.TotalMinutes / schedule.TimeslotInterval.TotalMinutes;
        }
    }
}
